
config more[off]
spool file[p_hww10.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		January 21, 2003
# PROGRAM DESC:		Interwave Incidence


load file[hww123]


# ====================================================================
# SET PROBABILITIES
# ====================================================================

set valid=((male==0)&(white==1)&(status3==2)&(agegrp1==1))

calc pncanc2=1-mean(jcancer2); if[valid==1]
calc pncanc3=1-mean(jcancer3); if[valid==1]
calc pcanc23=1-pncanc2*pncanc3
calc pcanc23
calc pcanc23b=mean(vmax(jcancer2,jcancer3)); if[valid==1]
calc pcanc23b

calc pnhrt2=1-mean(jheart2); if[valid==1]
calc pnhrt3=1-mean(jheart3); if[valid==1]
calc phrt23=1-pnhrt2*pnhrt3
calc phrt23
calc phrt23b=mean(vmax(jheart2,jheart3)); if[valid==1]
calc phrt23b

calc pnstrk2=1-mean(jstroke2); if[valid==1]
calc pnstrk3=1-mean(jstroke3); if[valid==1]
calc pstrk23=1-pnstrk2*pnstrk3
calc pstrk23
calc pstrk23b=mean(vmax(jstroke2,jstroke3)); if[valid==1]
calc pstrk23b

calc pnlung2=1-mean(ilung2); if[valid==1]
calc pnlung3=1-mean(ilung3); if[valid==1]
calc plung23=1-pnlung2*pnlung3
calc plung23
calc plung23b=mean(vmax(ilung2,ilung3)); if[valid==1]
calc plung23b

calc pndiab2=1-mean(idiabet2); if[valid==1]
calc pndiab3=1-mean(idiabet3); if[valid==1]
calc pdiab23=1-pndiab2*pndiab3
calc pdiab23
calc pdiab23b=mean(vmax(idiabet2,idiabet3)); if[valid==1]
calc pdiab23b

calc pnhigh2=1-mean(ihighbp2); if[valid==1]
calc pnhigh3=1-mean(ihighbp3); if[valid==1]
calc phigh23=1-pnhigh2*pnhigh3
calc phigh23
calc phigh23b=mean(vmax(ihighbp2,ihighbp3)); if[valid==1]
calc phigh23b

calc pnarth2=1-mean(iarthrt2); if[valid==1]
calc pnarth3=1-mean(iarthrt3); if[valid==1]
calc parth23=1-pnarth2*pnarth3
calc parth23
calc parth23b=mean(vmax(iarthrt2,iarthrt3)); if[valid==1]
calc parth23b

calc pninct2=1-mean(jincont2); if[valid==1]
calc pninct3=1-mean(jincont3); if[valid==1]
calc pinct23=1-pninct2*pninct3
calc pinct23
calc pinct23b=mean(vmax(jincont2,jincont3)); if[valid==1]
calc pinct23b

calc pnfall2=1-mean(jfall2); if[valid==1]
calc pnfall3=1-mean(jfall3); if[valid==1]
calc pfall23=1-pnfall2*pnfall3
calc pfall23
calc pfall23b=mean(vmax(jfall2,jfall3)); if[valid==1]
calc pfall23b

calc pnhip2=1-mean(jhipfrc2); if[valid==1]
calc pnhip3=1-mean(jhipfrc3); if[valid==1]
calc phip23=1-pnhip2*pnhip3
calc phip23
calc phip23b=mean(vmax(jhipfrc2,jhipfrc3)); if[valid==1]
calc phip23b

calc pncog2=1-mean(icogim2); if[valid==1]
calc pncog3=1-mean(icogim3); if[valid==1]
calc pcog23=1-pncog2*pncog3
calc pcog23
calc pcog23b=mean(vmax(icogim2,icogim3)); if[valid==1]
calc pcog23b

calc pnpsyc2=1-mean(ipsych2); if[valid==1]
calc pnpsyc3=1-mean(ipsych3); if[valid==1]
calc ppsyc23=1-pnpsyc2*pnpsyc3
calc ppsyc23
calc ppsyc23b=mean(vmax(ipsych2,ipsych3)); if[valid==1]
calc ppsyc23b

calc pndepr2=1-mean(idepres2); if[valid==1]
calc pndepr3=1-mean(idepres3); if[valid==1]
calc pdepr23=1-pndepr2*pndepr3
calc pdepr23
calc pdepr23b=mean(vmax(idepres2,idepres3)); if[valid==1]
calc pdepr23b

calc pnsmok2=1-mean(smoknow2); if[valid==1]
calc pnsmok3=1-mean(smoknow3); if[valid==1]
calc psmok23=1-pnsmok2*pnsmok3
calc psmok23
calc psmok23b=mean(vmax(smoknow2,smoknow3)); if[valid==1]
calc psmok23b

calc pndhlt2=1-mean(dhlth2); if[valid==1]
calc pndhlt3=1-mean(dhlth3); if[valid==1]
calc pdhlt23=1-pndhlt2*pndhlt3
calc pdhlt23
calc pdhlt23b=mean(vmax(dhlth2,dhlth3)); if[valid==1]
calc pdhlt23b


# ====================================================================
# SET PROBABILITIES
# ====================================================================

set valid=((male==1)&(white==1)&(status3==2)&(agegrp1==1))

calc pncanc2=1-mean(jcancer2); if[valid==1]
calc pncanc3=1-mean(jcancer3); if[valid==1]
calc pcanc23=1-pncanc2*pncanc3
calc pcanc23
calc pcanc23b=mean(vmax(jcancer2,jcancer3)); if[valid==1]
calc pcanc23b

calc pnhrt2=1-mean(jheart2); if[valid==1]
calc pnhrt3=1-mean(jheart3); if[valid==1]
calc phrt23=1-pnhrt2*pnhrt3
calc phrt23
calc phrt23b=mean(vmax(jheart2,jheart3)); if[valid==1]
calc phrt23b

calc pnstrk2=1-mean(jstroke2); if[valid==1]
calc pnstrk3=1-mean(jstroke3); if[valid==1]
calc pstrk23=1-pnstrk2*pnstrk3
calc pstrk23
calc pstrk23b=mean(vmax(jstroke2,jstroke3)); if[valid==1]
calc pstrk23b

calc pnlung2=1-mean(ilung2); if[valid==1]
calc pnlung3=1-mean(ilung3); if[valid==1]
calc plung23=1-pnlung2*pnlung3
calc plung23
calc plung23b=mean(vmax(ilung2,ilung3)); if[valid==1]
calc plung23b

calc pndiab2=1-mean(idiabet2); if[valid==1]
calc pndiab3=1-mean(idiabet3); if[valid==1]
calc pdiab23=1-pndiab2*pndiab3
calc pdiab23
calc pdiab23b=mean(vmax(idiabet2,idiabet3)); if[valid==1]
calc pdiab23b

calc pnhigh2=1-mean(ihighbp2); if[valid==1]
calc pnhigh3=1-mean(ihighbp3); if[valid==1]
calc phigh23=1-pnhigh2*pnhigh3
calc phigh23
calc phigh23b=mean(vmax(ihighbp2,ihighbp3)); if[valid==1]
calc phigh23b

calc pnarth2=1-mean(iarthrt2); if[valid==1]
calc pnarth3=1-mean(iarthrt3); if[valid==1]
calc parth23=1-pnarth2*pnarth3
calc parth23
calc parth23b=mean(vmax(iarthrt2,iarthrt3)); if[valid==1]
calc parth23b

calc pninct2=1-mean(jincont2); if[valid==1]
calc pninct3=1-mean(jincont3); if[valid==1]
calc pinct23=1-pninct2*pninct3
calc pinct23
calc pinct23b=mean(vmax(jincont2,jincont3)); if[valid==1]
calc pinct23b

calc pnfall2=1-mean(jfall2); if[valid==1]
calc pnfall3=1-mean(jfall3); if[valid==1]
calc pfall23=1-pnfall2*pnfall3
calc pfall23
calc pfall23b=mean(vmax(jfall2,jfall3)); if[valid==1]
calc pfall23b

calc pnhip2=1-mean(jhipfrc2); if[valid==1]
calc pnhip3=1-mean(jhipfrc3); if[valid==1]
calc phip23=1-pnhip2*pnhip3
calc phip23
calc phip23b=mean(vmax(jhipfrc2,jhipfrc3)); if[valid==1]
calc phip23b

calc pncog2=1-mean(icogim2); if[valid==1]
calc pncog3=1-mean(icogim3); if[valid==1]
calc pcog23=1-pncog2*pncog3
calc pcog23
calc pcog23b=mean(vmax(icogim2,icogim3)); if[valid==1]
calc pcog23b

calc pnpsyc2=1-mean(ipsych2); if[valid==1]
calc pnpsyc3=1-mean(ipsych3); if[valid==1]
calc ppsyc23=1-pnpsyc2*pnpsyc3
calc ppsyc23
calc ppsyc23b=mean(vmax(ipsych2,ipsych3)); if[valid==1]
calc ppsyc23b

calc pndepr2=1-mean(idepres2); if[valid==1]
calc pndepr3=1-mean(idepres3); if[valid==1]
calc pdepr23=1-pndepr2*pndepr3
calc pdepr23
calc pdepr23b=mean(vmax(idepres2,idepres3)); if[valid==1]
calc pdepr23b

calc pnsmok2=1-mean(smoknow2); if[valid==1]
calc pnsmok3=1-mean(smoknow3); if[valid==1]
calc psmok23=1-pnsmok2*pnsmok3
calc psmok23
calc psmok23b=mean(vmax(smoknow2,smoknow3)); if[valid==1]
calc psmok23b

calc pndhlt2=1-mean(dhlth2); if[valid==1]
calc pndhlt3=1-mean(dhlth3); if[valid==1]
calc pdhlt23=1-pndhlt2*pndhlt3
calc pdhlt23
calc pdhlt23b=mean(vmax(dhlth2,dhlth3)); if[valid==1]
calc pdhlt23b


spool off
quit
