
% PROJECT:			Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:			Dan McFadden
% AUTHOR:			Peter Adams
% LAST UPDATE:		February 17, 2002
% PROGRAM DESC:	Output & Set CHECK Variables (Prevalence: Among Survivors)


disp(' ');
disp('====================================================================');
disp('SIMULATED PREVALENCE OF HEALTH CONDITIONS');
disp('====================================================================');

disp(' ');
disp('PROPORTION SURVIVING');
disp('--------------------------------------------------------------------');

VALID=find(mort1(:,1)==0);
VALID_f=find(mort1(:,1)==0 & male(:,1)==0);
VALID_m=find(mort1(:,1)==0 & male(:,1)==1);

check1{1,3}(1,year)=size(VALID,1);
check1{2,3}(1,year)=size(VALID_f,1);
check1{3,3}(1,year)=size(VALID_m,1);
temp1=[check1{1,3}(1,year) check1{2,3}(1,year) check1{3,3}(1,year)]; 

check2{1,3}(1,year)=1-mean(mort2(VALID,1),1);
check2{2,3}(1,year)=1-mean(mort2(VALID_f,1),1);
check2{3,3}(1,year)=1-mean(mort2(VALID_m,1),1);
temp2=[check2{1,3}(1,year) check2{2,3}(1,year) check2{3,3}(1,year)]; 

disp(num2cell([temp1 temp2]));

res={};
for n=1:19;
   
%   disp(' ');
%   disp(upper(prev_txt(n,1)));
%   disp('--------------------------------------------------------------------');
   
   VALID=find(mort2(:,1)==0);
   VALID_f=find(mort2(:,1)==0 & male(:,1)==0);
   VALID_m=find(mort2(:,1)==0 & male(:,1)==1);
   
   check1{1,3}(n+1,year)=size(VALID,1);
   check1{2,3}(n+1,year)=size(VALID_f,1);
   check1{3,3}(n+1,year)=size(VALID_m,1);
   temp1=[check1{1,3}(n+1,year) check1{2,3}(n+1,year) check1{3,3}(n+1,year)]; 
   
   check2{1,3}(n+1,year)=mean(xxsim(VALID,col_prev(n)),1);
   check2{2,3}(n+1,year)=mean(xxsim(VALID_f,col_prev(n)),1);
   check2{3,3}(n+1,year)=mean(xxsim(VALID_m,col_prev(n)),1);
   temp2=[check2{1,3}(n+1,year) check2{2,3}(n+1,year) check2{3,3}(n+1,year)]; 

   res=[res;[ upper(prev_txt(n,1)) num2cell([temp1 temp2])]];
   
end;

disp(res);
