
config more[off]
spool file[p_hww11.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		January 21, 2003
# PROGRAM DESC:		Prevalence/Incidence by Agegrp1


load file[hww123]


# ====================================================================
# PREVALENCE
# ====================================================================

foreach (i; {@accute1 @degenr1 @kron1 @accid1 proxyw1 \
	@mental1 smoknow1 dhlth1}) {
table var[agegrp1 $i male] if[(white==1)] row
}

foreach (i; {@accute2}) {
table var[agegrp1 $i male] if[((status2==2)|(status2==4))&(white==1)] row
}

foreach (i; {@accute2 @degenr2 @kron2 @accid2 proxyw2 \
	@mental2 smoknow2 dhlth2}) {
table var[agegrp1 $i male] if[(status2==2)&(white==1)] row
}

foreach (i; {@accute3}) {
table var[agegrp1 $i male] if[((status3==2)|(status3==4))&(white==1)] row
}

foreach (i; {@accute3 @degenr3 @kron3 @accid3 proxyw3 \
	@mental3 smoknow3 dhlth3}) {
table var[agegrp1 $i male] if[(status3==2)&(white==1)] row
}


# ====================================================================
# INCIDENCE
# ====================================================================

foreach (i; {@iaccute2 @idegenr2 @ikron2 @iaccid2 proxyw2 \
	@imental2 smoknow2 dhlth2}) {
table var[agegrp1 $i male] if[(status2==2)&(white==1)] row
}

foreach (i; {@iaccute3 @idegenr3 @ikron3 @iaccid3 proxyw3 \
	@imental3 smoknow3 dhlth3}) {
table var[agegrp1 $i male] if[(status3==2)&(white==1)] row
}


# ====================================================================
# BMI, NUMADL, NUMIADL (AGEGRP1==1, WAVE 1)
# ====================================================================

echo FEMALES AGE 70-74
cova var[bmi1] if[(male==0)&(agegrp1==1)&(white==1)]
echo MALES AGE 70-74
cova var[bmi1] if[(male==1)&(agegrp1==1)&(white==1)]

echo FEMALES AGE 70-74
cova var[numadl1] if[(male==0)&(agegrp1==1)&(white==1)]
echo MALES AGE 70-74
cova var[numadl1] if[(male==1)&(agegrp1==1)&(white==1)]

echo FEMALES AGE 70-74
cova var[numiadl1] if[(male==0)&(agegrp1==1)&(white==1)]
echo MALES AGE 70-74
cova var[numiadl1] if[(male==1)&(agegrp1==1)&(white==1)]

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[bmi1] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[bmi1] if[(male==1)&(agegrp1==$i)]
#}

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[numadl1] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[numadl1] if[(male==1)&(agegrp1==$i)]
#}

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[numiadl1] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[numiadl1] if[(male==1)&(agegrp1==$i)]
#}


# ====================================================================
# BMI, NUMADL, NUMIADL (AGEGRP1==1, WAVE 2)
# ====================================================================

echo FEMALES AGE 70-74
cova var[bmi2] if[(male==0)&(agegrp1==1)&(white==1)&(status2==2)]
echo MALES AGE 70-74
cova var[bmi2] if[(male==1)&(agegrp1==1)&(white==1)&(status2==2)]

echo FEMALES AGE 70-74
cova var[numadl2] if[(male==0)&(agegrp1==1)&(white==1)&(status2==2)]
echo MALES AGE 70-74
cova var[numadl2] if[(male==1)&(agegrp1==1)&(white==1)&(status2==2)]

echo FEMALES AGE 70-74
cova var[numiadl2] if[(male==0)&(agegrp1==1)&(white==1)&(status2==2)]
echo MALES AGE 70-74
cova var[numiadl2] if[(male==1)&(agegrp1==1)&(white==1)&(status2==2)]


# ====================================================================
# BMI, NUMADL, NUMIADL (AGEGRP1==1, WAVE 3)
# ====================================================================

echo FEMALES AGE 70-74
cova var[bmi3] if[(male==0)&(agegrp1==1)&(white==1)&(status3==2)]
echo MALES AGE 70-74
cova var[bmi3] if[(male==1)&(agegrp1==1)&(white==1)&(status3==2)]

echo FEMALES AGE 70-74
cova var[numadl3] if[(male==0)&(agegrp1==1)&(white==1)&(status3==2)]
echo MALES AGE 70-74
cova var[numadl3] if[(male==1)&(agegrp1==1)&(white==1)&(status3==2)]

echo FEMALES AGE 70-74
cova var[numiadl3] if[(male==0)&(agegrp1==1)&(white==1)&(status3==2)]
echo MALES AGE 70-74
cova var[numiadl3] if[(male==1)&(agegrp1==1)&(white==1)&(status3==2)]


spool off
quit
